Package org.eclipse.net4j.util.event

## Class ExecutorServiceNotifier

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.event.ExecutorServiceNotifier

- All Implemented Interfaces:
    `IExecutorServiceProvider`, `INotifier`, `INotifier.INotifier2`
  Direct Known Subclasses:
    `ExecutorServiceNotifier.ThreadPool`

      @Deprecated
      public class ExecutorServiceNotifier
      extends Notifier
      implements IExecutorServiceProvider

  Deprecated.
  Deprecated.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ExecutorServiceNotifier.ThreadPool` | Deprecated.

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutorServiceNotifier()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.concurrent.ExecutorService` | `getExecutorService()` | Deprecated.
    `java.util.concurrent.ExecutorService` | `getNotificationService()` | Deprecated.
    `void` | `setNotificationExecutorService​(java.util.concurrent.ExecutorService notificationExecutorService)` | Deprecated.

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorServiceNotifier

          public ExecutorServiceNotifier()

      Deprecated.

  - ### Method Detail

    - #### getExecutorService

          public java.util.concurrent.ExecutorService getExecutorService()

      Deprecated.
      Specified by:
        `getExecutorService` in interface `IExecutorServiceProvider`
      Since:
        3.6

    - #### getNotificationService

          public java.util.concurrent.ExecutorService getNotificationService()

      Deprecated.
      Overrides:
        `getNotificationService` in class `Notifier`

    - #### setNotificationExecutorService

          public void setNotificationExecutorService​(java.util.concurrent.ExecutorService notificationExecutorService)

      Deprecated.